{
  "files.associations": {
    "tsconfig.json": "jsonc",
    "typescript-config/*.json": "jsonc",
    "*.css": "tailwindcss"
  },

  // Javascript and TypeScript settings
  "javascript.suggest.enabled": true,
  "javascript.suggest.autoImports": true,
  "javascript.preferences.importModuleSpecifier": "shortest",

  "typescript.suggest.enabled": true,
  "typescript.suggest.autoImports": true,
  "typescript.suggest.completeFunctionCalls": true,
  "typescript.suggest.includeAutomaticOptionalChainCompletions": true,
  "typescript.suggestionActions.enabled": true,
  "typescript.preferences.importModuleSpecifier": "shortest",
  "typescript.autoClosingTags": true,

  "editor.quickSuggestions": {
    "strings": "on"
  },

  "editor.codeActionsOnSave": {
    "source.organizeImports": "always",
    "quickfix.biome": "always",
    "source.fixAll": "always",
    "source.fixAll.biome": "always",
    "source.organizeImports.biome": "always",
    "source.removeUnusedImports": "always",
    "source.removeUnused.biome": "explicit"
  },
  "editor.defaultFormatter": "biomejs.biome",
  "editor.formatOnSave": true,
  "editor.formatOnPaste": false,

  "[typescript]": {
    "editor.defaultFormatter": "biomejs.biome"
  },
  "[typescriptreact]": {
    "editor.defaultFormatter": "vscode.typescript-language-features"
  },
  "[javascript]": {
    "editor.defaultFormatter": "biomejs.biome"
  },
  "[javascriptreact]": {
    "editor.defaultFormatter": "biomejs.biome"
  },
  "[json]": {
    "editor.defaultFormatter": "biomejs.biome"
  },
  "[jsonc]": {
    "editor.defaultFormatter": "biomejs.biome"
  },

  "prettier.enable": false,
  "eslint.enable": false,

  // other vscode settings
  "[handlebars]": {
    "editor.defaultFormatter": "vscode.html-language-features"
  },
  "[sql]": {
    "editor.defaultFormatter": "cweijan.vscode-mysql-client2"
  } // <- your root font size here
}
